python-pika_0.11.0-1_all.deb


Advertisement

Description

python-pika - AMQP client library for Python 2

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-pika
Package version 0.11.0
Package release 1
Package architecture all
Package type deb
Installed size 542 B
Download size 81.38 KB
Official Mirror archive.ubuntu.com
Pika is a pure-Python implementation of the AMQP-0-9-1 protocol that tries to
stay fairly independent of the underlying network support library. Pika was
developed primarily for use with RabitMQ, but also works with other
AMQP-0-9-1 brokers.
This is the Python 2 version of the library.

Alternatives

Package Version Architecture Repository
python-pika_0.11.0-1_all.deb 0.11.0 all Ubuntu Main
python-pika - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pika_0.11.0-1_all.deb
Source Package python-pika

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pika deb package:
    # sudo apt-get install python-pika

Files

Path
/usr/lib/python2.7/dist-packages/pika/__init__.py
/usr/lib/python2.7/dist-packages/pika/amqp_object.py
/usr/lib/python2.7/dist-packages/pika/callback.py
/usr/lib/python2.7/dist-packages/pika/channel.py
/usr/lib/python2.7/dist-packages/pika/compat.py
/usr/lib/python2.7/dist-packages/pika/connection.py
/usr/lib/python2.7/dist-packages/pika/credentials.py
/usr/lib/python2.7/dist-packages/pika/data.py
/usr/lib/python2.7/dist-packages/pika/exceptions.py
/usr/lib/python2.7/dist-packages/pika/frame.py
/usr/lib/python2.7/dist-packages/pika/heartbeat.py
/usr/lib/python2.7/dist-packages/pika/spec.py
/usr/lib/python2.7/dist-packages/pika/utils.py
/usr/lib/python2.7/dist-packages/pika-0.11.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pika-0.11.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pika-0.11.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pika-0.11.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pika-0.11.0.egg-info/zip-safe
/usr/lib/python2.7/dist-packages/pika/adapters/__init__.py
/usr/lib/python2.7/dist-packages/pika/adapters/asyncio_connection.py
/usr/lib/python2.7/dist-packages/pika/adapters/base_connection.py
/usr/lib/python2.7/dist-packages/pika/adapters/blocking_connection.py
/usr/lib/python2.7/dist-packages/pika/adapters/libev_connection.py
/usr/lib/python2.7/dist-packages/pika/adapters/select_connection.py
/usr/lib/python2.7/dist-packages/pika/adapters/tornado_connection.py
/usr/lib/python2.7/dist-packages/pika/adapters/twisted_connection.py
/usr/share/doc/python-pika/README.rst
/usr/share/doc/python-pika/changelog.Debian.gz
/usr/share/doc/python-pika/copyright

Changelog

2017-09-27 - Christopher Hoskin <mans0954@debian.org>
python-pika (0.11.0-1) unstable; urgency=medium
* Team upload.
* New upstream release (0.11.0)
* Update Homepage in debian/control 
* Clean *.egg-info/* 
* Build-depend on python3-sphinx, not python-sphinx 
* Bump Standards-Version from 4.0.0 to 4.1.0 (no change required)
* Update debian/copyright Format: URL 
2017-07-28 - Christopher Hoskin <mans0954@debian.org>
python-pika (0.10.0-3) unstable; urgency=medium
* Team upload.
* Fix "python-pika FTBFS: rm: cannot remove version_history.txt: No
such file or directory" filename now version_history.rst.txt (Closes:
#867990)
* Fix spelling in debian/python-pika-doc.doc-base 
* Add autopkgtests 
* Bump standards version from 3.9.6 to 4.0.0 (no change required) 
2016-03-29 - Ondřej Nový <novy@ondrej.org>
python-pika (0.10.0-2) UNRELEASED; urgency=medium
* Fixed VCS URL (https)
2015-12-30 - Jan Dittberner <jandd@debian.org>
python-pika (0.10.0-1) unstable; urgency=medium
* New upstream version (Closes: #796543)
* Update copyright years
* Add Python 3 support (Closes: #809315)
* Add documentation package python-pika-doc
* Bump Standards-Version to 3.9.6 (no changes)
* Register HTML documentation with doc-base
* Declare relationships between binary packages, add Breaks and
Replaces for older versions
* properly setup tests
* apply upstream patches for test errors
(debian/patches/0001-Fix-the-channel-tests.patch and
debian/patches/0002-Make-the-test-more-reliable-in-Python-3.5.patch)
2014-09-26 - Jan Dittberner <jandd@debian.org>
python-pika (0.9.14-1) unstable; urgency=medium
* New upstream version
* update debian/python-pika.docs, upstream renamed README.md to
README.rst
* upstream switched license to MPL 2.0, update debian/copyright
* install docs/version_history.rst as upstream changelog, add symlink to
original name
2014-02-23 - Jan Dittberner <jandd@debian.org>
python-pika (0.9.13-2) unstable; urgency=medium
* repair debian/watch file
* debian/compat: bump to 9
* debian/control:
- bump Standards-Version to 3.9.5 (no changes)
- switch to pybuild, add dh-python to Build-Depends, add X-Python-Version
- bump debhelper version to (>= 9)
- run wrap-and-sort
* debian/rules:
- simplify rules to use pybuild defaults
2013-07-11 - Jan Dittberner <jandd@debian.org>
python-pika (0.9.13-1) unstable; urgency=low
[ Thomas Bechtold ]
* New upstream release.
* Update debian/watch to match github tags.
* debian/control:
- Bump Standards-version to 3.9.4.
- Add python-twisted, python-tornado, python-yaml, python-nose,
python-mock and netbase to Build-Depends to be able to run the testsuite.
* debian/rules: Run testsuite.
* debian/python-pika.docs:
- Remove THANKS. No longer available.
- Remove ROADMAP. No longer available.
- Add docs/.
[ Jan Dittberner ]
* debian/control: canonical Vcs-Svn URL
2011-07-30 - Jan Dittberner <jandd@debian.org>
python-pika (0.9.5-1) unstable; urgency=low
* Initial release. (Closes: #635891)

See Also

Package Description
python-pil-doc_5.1.0-1_all.deb Examples for the Python Imaging Library
python-pil.imagetk_5.1.0-1_amd64.deb Python Imaging Library - ImageTk Module (Pillow fork)
python-pil_5.1.0-1_amd64.deb Python Imaging Library (Pillow fork)
python-pint-doc_0.8.1-2_all.deb define, operate and manipulate physical quantities - doc
python-pint_0.8.1-2_all.deb define, operate and manipulate physical quantities - Python 2.x
python-pkg-resources_39.0.1-2_all.deb Package Discovery and Resource Access using pkg_resources
python-ply-doc_3.11-1_all.deb Lex and Yacc implementation for Python (documentation)
python-ply_3.11-1_all.deb Lex and Yacc implementation for Python2
python-polib-doc_1.1.0-3_all.deb Python library to parse and manage gettext catalogs (documentation)
python-positional-doc_1.1.1-3_all.deb Library to enforce positional or key-word arguments - doc
python-positional_1.1.1-3_all.deb enforce positional or key-word arguments - Python 2.7
python-posix-ipc_0.9.8-3_amd64.deb semaphores, shared memory and message queues - Python 2.x
python-prettytable_0.7.2-3_all.deb library to represent tabular data in visually appealing ASCII tables
python-psutil-doc_5.4.2-1_all.deb module providing convenience functions for managing processes (doc)
python-psutil_5.4.2-1_amd64.deb module providing convenience functions for managing processes
Advertisement
Advertisement